Skip to content

List all virtual MCP connections

Request

OAuth 2.0 scope:
  • okta.resourceServers.virtualMcpServers.read
Admin roles:
  • SUPER_ADMIN

Lists all connections for the virtual MCP

Path
virtualMcpServerIdstringrequired

ID of a virtual MCP

Example:wlp1aB2cD3eF4gH5iJ6k
Query
afterstring

The cursor to use for pagination. It is an opaque string that specifies your current location in the list and is obtained from the Link response header. See Pagination and Link header.

limitinteger, [ 1 .. 200 ]

A limit on the number of objects to return

Default:20
GET
/workload-principals/api/v1/virtual-mcp-servers/{virtualMcpServerId}/connections
curl -i -X GET \
  'https://subdomain.okta.com/workload-principals/api/v1/virtual-mcp-servers/wlp1aB2cD3eF4gH5iJ6k/connections?after=string&limit=20'

Responses

A list of connections for the virtual MCP

Bodyapplication/json
dataArray of objects(STSAccessTokenConnection)required

All connections the virtual MCP has established

Response
{ "data": [ {}, {} ], "_links": { "self": {} } }